#!/usr/bin/guile -s
!#

(define (write-text-html)
  (display "content-type: text/html") (newline)(newline))

(define (write-text-xml)
  (display "content-type: text/xml") (newline)(newline))

(define (write-unsupported)
  (write-text-html)
  (write-line "<html>
		<body>
     			<p>GET method <b>are not supported</b> for this form</p>
      		</body>
 	      </html>"))
(define (read-input)
  (call-with-output-file
    "/tmp/alterator-http.log"
    (lambda (port)
      (let loop ((line (read-line)))
	(if (not (eof-object? line))
	  (begin (write-line (string-append "line:" line) port)
		 (loop (read-line))))))))


(define (write-content)
  (read-input) 
  (write-text-xml)
  (write-line "<alterator-answer>
	      	<command action=\"new\" widget-id=\"w0\" type=\"hbox\" parent=\"\"/>
	      	<command action=\"new\" widget-id=\"w1\" type=\"button\" parent=\"w0\"/>
	      	<command action=\"set\" widget-id=\"w1\" attr=\"text\" value=\"Some Text\"/>
	      	<command action=\"new\" widget-id=\"w2\" type=\"edit\" parent=\"w0\"/>
	      	<command action=\"set\" widget-id=\"w2\" attr=\"text\" value=\"Some Text\"/> 
	      </alterator-answer>"))

(if (string=? (or (getenv "REQUEST_METHOD") "GET") "GET")
    (write-unsupported)
    (write-content))

